Name:           webbit
Version:        0.4.14
Release:        1%{?dist}
Summary:        Event-based WebSocket and HTTP server for Java

License:        BSD
URL:            http://webbitserver.org/
Source0:        https://github.com/webbit/webbit/tarball/v%{version}/webbit-%{version}.tar.gz
Patch0:         %{name}-0.4.14-timeout.patch
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-dependency-plugin
BuildRequires:  sonatype-oss-parent
BuildRequires:  netty
BuildRequires:  mockito
BuildRequires:  google-gson
Requires:       java
Requires:       jpackage-utils
Requires:       netty

%description
Webbit is an event-based WebSocket and HTTP server for Java.

%prep
%setup -q -n webbit-webbit-9e2a618
%patch0 -p1 -b.timeout

%build
mvn-rpmbuild package javadoc:aggregate

%install
install -d -m755 %{buildroot}%{_mavenpomdir}
install -p -m644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
install -d -m755 %{buildroot}%{_javadir}
install -p -m644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -d -m755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc LICENSE README.md HISTORY.md AUTHORS
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom
%{_javadir}/%{name}.jar
%{_javadocdir}/%{name}

%changelog
* Mon Aug 20 2012 Dan Callaghan <dcallagh@redhat.com> - 0.4.14-1
- initial version
